import ParameterTypes from "@site/src/components/ParameterTypes"

# OptionsQuery

## Type parameters

<ParameterTypes parameters={[
  {
    "name": "T",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "P",
    "type": "`string`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />

## Properties

<ParameterTypes parameters={[
  {
    "name": "fields",
    "type": "`string`[]",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "filters",
    "type": "`boolean` \\| `string`[] \\| [Dictionary](../../types/types/types.Dictionary.mdx)&#60;boolean \\| [Dictionary](../../types/types/types.Dictionary.mdx)&#62;",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "groupBy",
    "type": "`string` \\| `string`[]",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "limit",
    "type": "`number`",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "offset",
    "type": "`number`",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "orderBy",
    "type": "[Order](../../types/types/types.Order.mdx)&#60;T&#62; \\| [Order](../../types/types/types.Order.mdx)&#60;T&#62;[]",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "populate",
    "type": "`string`[]",
    "description": "",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
